=== modified file 'libempathy-gtk/empathy-protocol-chooser.c'
--- libempathy-gtk/empathy-protocol-chooser.c	2010-07-21 08:44:57 +0000
+++ libempathy-gtk/empathy-protocol-chooser.c	2010-07-21 09:51:12 +0000
@@ -163,6 +163,10 @@
       const gchar *display_name;
       const gchar *saved_cm_name;
 
+      if (!tp_strdiff (proto->name, "mxit") ||
+          !tp_strdiff (proto->name, "myspace"))
+        continue;
+
       saved_cm_name = g_hash_table_lookup (priv->protocols, proto->name);
 
       if (!tp_strdiff (cm->name, "haze") && saved_cm_name != NULL &&

